Bug 1313447 - Test suite failure: math/test-float, math/test-float-finite and math/test-ifloat
Test suite failure: math/test-float, math/test-float-finite and math/test-ifloat
Status: NEW
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
26
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: glibc team
Fedora Extras Quality Assurance
:
Depends On: 1313443
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 10:40 EST by Carlos O'Donell
Modified: 2017-02-28 04:55 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1313443
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos O'Donell 2016-03-01 10:40:46 EST
+++ This bug was initially created as a clone of Bug #1313443 +++

On i686 the math/test-float, math/test-float-finite and math/test-ifloat all fail because j0 is off by an ULP. A single ULP difference might be due to a number of factors, but is otherwise OK for a function like this. The upstream ULPs might need to be adjusted and then backported. Otherwise it's a mistake somewhere in the bessel function support that we lost 1 ULP of precision.

Upstream discussion:
https://www.sourceware.org/ml/libc-alpha/2016-03/msg00009.html

testing float (without inline functions)
Failure: Test: j0_downward (0xap+0)
Result:
 is:         -2.45935813e-01  -0x1.f7ad32p-3
 should be:  -2.45935768e-01  -0x1.f7ad2cp-3
 difference:  4.47034835e-08   0x1.800000p-25
 ulp       :  3.0000
 max.ulp   :  2.0000
Maximal error of `j0_downward'
 is      : 3 ulp
 accepted: 2 ulp
Test suite completed:
  58942 test cases plus 53146 tests for exception flags and
    53146 tests for errno executed.
  2 errors occurred.

testing float (finite-math-only)
Failure: Test: j0_downward (0xap+0)
Result:
 is:         -2.45935813e-01  -0x1.f7ad32p-3
 should be:  -2.45935768e-01  -0x1.f7ad2cp-3
 difference:  4.47034835e-08   0x1.800000p-25
 ulp       :  3.0000
 max.ulp   :  2.0000
Maximal error of `j0_downward'
 is      : 3 ulp
 accepted: 2 ulp
Test suite completed:
  46382 test cases plus 41098 tests for exception flags and
    0 tests for errno executed.
  2 errors occurred.

testing float (inline functions)
Failure: Test: j0_downward (0xap+0)
Result:
 is:         -2.45935813e-01  -0x1.f7ad32p-3
 should be:  -2.45935768e-01  -0x1.f7ad2cp-3
 difference:  4.47034835e-08   0x1.800000p-25
 ulp       :  3.0000
 max.ulp   :  2.0000
Maximal error of `j0_downward'
 is      : 3 ulp
 accepted: 2 ulp
Test suite completed:
  58518 test cases plus 0 tests for exception flags and
    0 tests for errno executed.
  2 errors occurred.

--- Additional comment from Carlos O'Donell on 2016-03-01 10:40:06 EST ---

It might also be a change introduced by gcc 6 which results in the loss of one ULP (as suggested in my upstream post).
Comment 1 Carlos O'Donell 2016-03-01 10:41:08 EST
Also seen in Rawhide.
Comment 2 Jan Kurik 2016-07-26 00:09:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 3 Fedora End Of Life 2017-02-28 04:55:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.